* * *

Author Topic: LNET 0.6.6  (Read 1933 times)

kapibara

  • Sr. Member
  • ****
  • Posts: 477
LNET 0.6.6
« on: March 24, 2017, 07:29:51 pm »
Only the SVN version of LNET installs in Lazarus 1.6 and newer?

I updated the wiki with that information, correct it if wrong: http://wiki.lazarus.freepascal.org/lNet#Download

Quote
SVN Version 0.6.6 is required for Lazarus 1.6 and newer
Lazarus trunk / fpc 3.0.4 / Debian Stretch 64-bit

tr_escape

  • Sr. Member
  • ****
  • Posts: 291
  • sector name toys | respect to spectre
    • Github:
Re: LNET 0.6.6
« Reply #1 on: April 02, 2017, 05:24:30 pm »
Hello,

I am trying to install lnet package to 1.6.4 and fpc 3.0.2 but sslsockets gives some errors.
What should I do for compiling?

I setted as "C:\lazarus\fpc\3.0.2\source\packages\fcl-net\src\" directory for Other units but not worked.

I tried in windows 10.

Thats the message:
fphttpclient.pp(324,6) Fatal: Cannot find sslsockets used by fphttpclient. Make sure all ppu files of a package are in its output directory. ppu in wrong directory=C:\lazarus\fpc\3.0.2\units\i386-win32\fcl-net\sslsockets.ppu..


Thaddy

  • Hero Member
  • *****
  • Posts: 5780
Re: LNET 0.6.6
« Reply #2 on: April 02, 2017, 05:39:51 pm »
Which openssl version do you have installed? (if any)
recommends {$macro on}{$define Silly:=ObjFpc}

lainz

  • Hero Member
  • *****
  • Posts: 2490
  • I'm coding :)
    • Lainz
Re: LNET 0.6.6
« Reply #3 on: April 02, 2017, 06:18:19 pm »
If there's a conflict just remove the duplicate unit "sslsockets" from LNET directory. At least that worked for me some time ago.

 

Recent

Get Lazarus at SourceForge.net. Fast, secure and Free Open Source software downloads Open Hub project report for Lazarus